(define (domain lad-incomplete)
     (:requirements :typing :durative-actions :duration-inequalities)
     (:types container machine device)
     (:predicates
      (p0 ?c - container)
      (p1 ?c - container)
      (p2 ?c - container)
      (p3 ?c - container)
      (p)
      (q)
      (machine-of-device ?m - machine ?d - device)
      (container-of-machine ?c - container ?m - machine)
      )


     (:durative-action C
          :parameters (?cont - container)
          :duration (= ?duration 1)
          :condition (at start (p0 ?cont))
          :effect (and (at start (p1 ?cont))
		       (at end (not (p0 ?cont)))
                       (at end (not (p1 ?cont)))))


     (:uncontrollable-durative-action A
          :parameters (?cont - container ?m - machine)
          :duration (and (<= ?duration 20) (>= ?duration 10))
          :condition (and (at start (p1 ?cont))
                          (at end (p))
                          (over all (container-of-machine ?cont ?m)))
          :effect (and (at end (p2 ?cont)) (at end (q))))


     (:durative-action B
          :parameters (?cont - container ?m - machine ?d - device)
          :duration (= ?duration 15)
          :condition (and (at start (p1 ?cont))
                          (at end (q))
                          (over all (container-of-machine ?cont ?m))
                          (over all (machine-of-device ?m ?d)))
          :effect (and (at end (p3 ?cont)) (at end (p))))

)
